%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	3.0.5
Release:	%mkrel 4
Source0:	https://pypi.python.org/packages/source/k/keyring/%{fname}-%{version}.zip
URL:		http://pypi.python.org/pypi/keyring
Group:		Development/Python
License:	Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildRequires:	python-gi
	
%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.

%package -n python3-keyring
Summary:	Python 3 library to access the system keyring service
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
Requires:	python3-gobject3

%description -n python3-keyring
The Python 3 keyring lib provides a easy way to access the system keyring
service from python 3. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python3-keyring-gnome or
python3-keyring-kwallet.

%prep
%setup -q -n %{fname}-%{version}
rm -rf %{fname}.egg-info
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' keyring/cli.py keyring/backends/_win_crypto.py
%apply_patches
cp -a . %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root=%{buildroot} 
mv %{buildroot}/%{_bindir}/keyring %{buildroot}/%{_bindir}/python3-keyring
popd

%{__python} setup.py install -O1 --root=%{buildroot} 

# we don't ship tests they need a test environment
rm -rf %{buildroot}/%{python3_sitelib}/%{fname}/tests/
rm -rf %{buildroot}/%{python_sitelib}/%{fname}/tests/

%files
%doc README.rst CHANGES.rst CONTRIBUTORS.txt
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}
%{_bindir}/keyring

%files -n python3-keyring
%doc README.rst CHANGES.rst CONTRIBUTORS.txt
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{_bindir}/python3-keyring




%changelog
* Sat Nov 02 2013 fwang <fwang> 3.0.5-4.mga4
+ Revision: 548944
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 3.0.5-3.mga4
+ Revision: 543702
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.0.5-2.mga4
+ Revision: 498821
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 03 2013 philippem <philippem> 3.0.5-1.mga4
+ Revision: 490632
- Update to 3.0.5

* Sun Sep 01 2013 philippem <philippem> 2.1.1-1.mga4
+ Revision: 474028
- update to 2.1.1

* Thu Jul 18 2013 philippem <philippem> 1.6-1.mga4
+ Revision: 455965
- Update to 1.6

* Sat Jun 08 2013 philippem <philippem> 1.4-1.mga4
+ Revision: 440641
- add python3

* Sat Jun 08 2013 philippem <philippem> 1.4-0.mga4
+ Revision: 440608
- disable python3 now seems that there are problems with 3.3 should be fixed in next upstream
- imported package python-keyring

